PackageManagerProgressDeb822Fd Class Reference
Inheritance diagram for PackageManagerProgressDeb822Fd:
[legend]
Collaboration diagram for PackageManagerProgressDeb822Fd:
[legend]

## Public Member Functions

| PackageManagerProgressDeb822Fd (int progress_fd)
void | StartDpkg () override
void | Stop () override
bool | StatusChanged (std::string PackageName, unsigned int StepsDone, unsigned int TotalSteps, std::string HumanReadableAction) override
void | Error (std::string PackageName, unsigned int StepsDone, unsigned int TotalSteps, std::string ErrorMessage) override
void | ConffilePrompt (std::string PackageName, unsigned int StepsDone, unsigned int TotalSteps, std::string ConfMessage) override
Public Member Functions inherited from PackageManager
virtual void | Start (int=-1)
virtual pid_t | fork ()
virtual void | Pulse ()
virtual long | GetPulseInterval ()

## Protected Member Functions

void | WriteToStatusFd (std::string msg)

## Protected Attributes

int | OutStatusFd
int | StepsDone
int | StepsTotal
Protected Attributes inherited from PackageManager
std::string | progress_str
float | percentage
int | last_reported_progress

## Member Function Documentation

## ConffilePrompt()

void ConffilePrompt | ( | std::string | PackageName,
|  | unsigned int | StepsDone,
|  | unsigned int | TotalSteps,
|  | std::string | ConfMessage )

override virtual

Reimplemented from PackageManager.

## Error()

void Error | ( | std::string | PackageName,
|  | unsigned int | StepsDone,
|  | unsigned int | TotalSteps,
|  | std::string | ErrorMessage )

override virtual

Reimplemented from PackageManager.

## StartDpkg()

void StartDpkg | ( |  | ) |

override virtual

Todo
  use SetCloseExec here once it taught about throwing

Reimplemented from PackageManager.

## StatusChanged()

bool StatusChanged | ( | std::string | PackageName,
|  | unsigned int | StepsDone,
|  | unsigned int | TotalSteps,
|  | std::string | HumanReadableAction )

override virtual

Reimplemented from PackageManager.

## Stop()

void Stop | ( |  | ) |

override virtual

Reimplemented from PackageManager.

The documentation for this class was generated from the following files:

- apt-pkg/install-progress.h
- apt-pkg/install-progress.cc